function next() {
    var passWD1 = $("#passWD1").val();
    var passWD2 = $("#passWD2").val();
    if (!isDefine(passWD1)||!isDefine(passWD2)) {
        zy_toast("密码不能为空");
        return false;
    }
    if (!passWD1.match(/^((?=.*?\d)(?=.*?[A-Za-z])|(?=.*?\d)(?=.*?[!@#$%^&])|(?=.*?[A-Za-z])(?=.*?[!@#$%^&]))[\dA-Za-z!@#$%^&].{5,19}$/)) {
        zy_toast("密码要求由字母、数字和符号的两种以上组合，请重新输入");
        return false;
    } else if (passWD1.length < 6 || passWD1.length > 20) {
        zy_toast("密码长度要求6-20个字符,请重新输入");
        return false;
    }
    if (passWD1 != passWD2) {
        zy_toast("密码不一致");
        return false;
    }
    zy_ajax(updateUserPassWd, {userId : zy_getLocal('_findPswUid'),newpwd : passWD2}, function(data) {
        if (data.result == "1") {
            zy_open("updateSuccess", "updateSuccess.html?password="+passWD2);
        }
    });
}	