function next() {
    var phone = $("#showPhone").val();
    var code = $("#code").val();
    var reg = /\d{6}/;
    if (!reg.test(code)) {
        zy_toast("您输入的验证码为空或者错误");
        return false;
    }
    zy_ajax(checkCustomerCodeNew, {'userMobile' : phone,'code' : code}, function(data) {
        if (data.result == "1") {
            zy_open("enterPassword", "enterPassword.html");
        } else {
            zy_toast("验证码有误");
        }
    });
}

function getPhoneNumber() {
    var phone = $("#phone").val();
    if(!isDefine(phone)){
        zy_toast("请输入用户名！");
        return false;
    }
    var showPhone = $("#showPhone");
    zy_ajax(getUserInfo, {'loginName' : phone}, function(data) {
        if (data.result == "1") {
            var mobileNumber = data.data.mobileNumber;
            if (mobileNumber != null && mobileNumber != '') {
                showPhone.css("font-size", "0.8em");
                showPhone.val(mobileNumber);
                zy_setLocal('_findPswUid',data.data.systemUserId);
                zy_setLocal('_loginName',phone);
            } else {
                getPhoneFailure();
                zy_toast("手机号码为空，请联系平台客服");
            }
        } else {
            getPhoneFailure();
            zy_toast("没有此用户!");
        }
    });
}

function getPhoneFailure(){
    zy_setLocal('_findPswUid','');
    zy_setLocal('_loginName','');
    $("#showPhone").css("font-size", "0.6em");
    $("#showPhone").val("");
}

function reSend() {
    var phone = $("#phone").val();
    if (!isDefine(phone)) {
        zy_toast("请输入用户名");
        return false;
    }
    var userMobile = $("#showPhone").val();
    if (!isDefine(userMobile)) {
        zy_toast("手机号码为空，请联系平台客服");
        return false;
    }
    var reg = /^1[34568]\d{9}$/;
    if (!reg.test(userMobile)) {
        zy_toast("手机号码有误，请检查!");
        return false;
    }
    var getCode = $("#getCode");
    getCode.html("发送中...");
    getCode.attr("onclick", "");
    zy_ajax(sendSmsNews,{"userMobile":userMobile,"userName":userMobile,"title":"找回密码验证码"},function(data){
        if (data.result == "1") {
                getCode.html("重发验证码");
                getCode.attr("onclick", "reSend()");
            }
    });
}

