function loadMessage() {
    data = {
        'userId' : zy_getLocal("userld"),
        'date' : new Date()
    };
    zy_ajax(findCusotmerInfoNew, data, loadMessageCallback);
}

function loadMessageCallback(data) {
    if (data.result == "1") {
        var resultData = data.data;
        zy_setLocal('_personalData', JSON.stringify(resultData));
        var isComplete = resultData.IS_COMPLETE;//完善资料为1
        $("#recommend").attr("key",isComplete);
        var xingzhi = null;
        if (isComplete == "1") {
            $("#recommend").hide();
        }
        zy_script("personalMessage","changeFootBtn('"+isComplete+"')");
        var loginData = zy_getLocal("loginData");
        if (loginData != null) {
            if (zy_getLocal('_personalPhotoimg') != "") {//不通过登录  刷新的时候 重新设置头像
                $("#person_img").find("img").attr("src", zy_getLocal('_personalPhotoimg'));
            } else {
                $("#person_img").find("img").attr("src", loginData.photoImg);
            }
        }
        $("#person_name").find("input").val(resultData.ORG_UER_NAME);
        $("#contact_name").find("input").val(resultData.CONTACT_NAME);
        $("#person_mobile").find("input").val(resultData.MOBILE);
        $("#person_address").find(".rightDiv").html(resultData.LOCATION_NAME + resultData.REGION_NAME);
        $("#company_name").find("input").val(resultData.FULL_NAME);
        $("#company_address").find("input").val(resultData.ADDRESS);
        $("#company_attribute").find(".rightDiv").html(resultData.DESCRIPTION);
        $("#company_phone").find("input").val(resultData.CONTACT_PHONE);
        loadPersonType(resultData.CUSTOMER_TYPE);//用户类型
        selectCompanyType(resultData.TYPE_ID);
    } else {
        zy_toast("数据加载失败");
    }
}

k=0;
function loadPersonType(type) {
    if (type == 1) {
        $("#person_type").find(".rightDiv").html("个体用户");
        $("#company_name").find(".leftDiv").html("经销商/店名:");
        $("#company_name").find(".rightDiv").find("input").attr("placeholder","请输入经销商/店名");
        //$("#contact_name").hide();
        $("#company_address").find(".leftDiv").html("办公地址:");
        $("#company_phone").find(".leftDiv").html("手机号/固定电话:");
        $("#company_attribute").find(".leftDiv").html("营业性质:");
    } else if (type == 2) {
        $("#person_type").find(".rightDiv").html("企业用户");
        $("#company_name").find(".leftDiv").html("公司名称:");
        $("#company_name").find(".rightDiv").find("input").attr("placeholder","输入您的公司名称信息");
        //$("#contact_name").show();
        $("#company_address").find(".leftDiv").html("公司地址:");
        $("#company_phone").find(".leftDiv").html("公司电话:");
        $("#company_attribute").find(".leftDiv").html("公司性质:");
    }
    if(k==1){
        $("#company_attribute").find(".rightDiv").html("");
    }
    k=1;
    $("#person_type").attr("key",type);
    $("#company_attribute").attr("onclick","perMessChangeType('company_attribute','"+type+"')");
}

function selectCompanyType(typeId) {
    var str = null;
    switch (typeId) {
    case '1':
        str = "数码电脑";
        break;
    case '2':
        str = "日化用品";
        break;
    case '4':
        str = "美酒美食";
        break;
    case '100' :
        str = "手机通讯";
        break;
    }
    $("#company_type").attr("key",typeId);
    $("#company_type").find(".rightDiv").html(str);
}

function perMessChangeType(type,customer_type) {
    if(type=="person_type"){
        data = [{
                "name" : "个体用户",
                "id" : "1",
                "onclick" : "loadPersonType(1)",
            }, {
                "name" : "企业用户",
                "id" : "2",
                "onclick" : "loadPersonType(2)"
            }];
        
    }else if(type=="company_attribute"&&customer_type=="2"){
            data =  [{
                "id":"1",
                "name":"一般纳税人",
                "onclick" : "loadCompanyAttr(1,'一般纳税人')"
            },{
                "id":"2",
                "name":"小规模纳税人",
                "onclick" : "loadCompanyAttr(2,'小规模纳税人')"
            },{
                "id":"3",
                "name":"其他",
                "onclick" : "loadCompanyAttr(3,'其他')"
            }];
    }else if(type=="company_attribute"&&customer_type=="1"){
        data =  [{
                "id":"1",
                "name":"个体",
                "onclick" : "loadCompanyAttr(1,'个体')"
            },{
                "id":"2",
                "name":"个人",
                "onclick" : "loadCompanyAttr(2,'个人')"
            },{
                "id":"3",
                "name":"其他",
                "onclick" : "loadCompanyAttr(3,'其他')"
        }];
    }else if(type=="company_type"){
            data = [{
                "name" : "数码电脑",
                "id" : "1",
                "onclick" : "selectCompanyType('1')",
            }, {
                "name" : "日化用品",
                "id" : "2",
                "onclick" : "selectCompanyType('2')"
            }, {
                "name" : "美酒美食",
                "id" : "4",
                "onclick" : "selectCompanyType('4')"
            }, {
                "name" : "手机通讯",
                "id" : "100",
                "onclick" : "selectCompanyType('100')"
            }];
    }
    arrData = {
            "page" : "personalMessage",
            "pageFloat" : "content",
            "data" : data
        }
    zy_setLocalJson('changeTypeData', arrData);
    zy_open("changeType", "changeType.html");
}

function loadCompanyAttr(type,name){
    $("#company_attribute").find('.rightDiv').html(name);
}

function isSubmit() {
    var person_type=$("#person_type").attr("key");
    var company_name=$("#company_name").find("input").val();
    var contact_name=$("#contact_name").find("input").val();
    var company_address=$("#company_address").find("input").val();
    var company_phone=$("#company_phone").find("input").val();
    var company_attribute=$("#company_attribute").find(".rightDiv").html();
    var company_type=$("#company_type").find(".rightDiv").html();
    var reg = /^\d+$/;
    if(person_type=="1"){
        if(reg.test(contact_name)){return "联系人姓名不能为纯数字";};
        if(!isDefine(company_name)){return "经销商/店名不能为空";};
        if(!isDefine(contact_name)){return "联系人姓名不能为空";};
        if(!isDefine(company_address)){return "办公地址不能为空";};
        if(!isDefine(company_phone)){return "手机号/电话不能为空";};
        if(!isDefine(company_attribute)){return "营业性质不能为空";};
        //if(!isDefine(company_type)){return "购买行业类型不能为空";};
    }else if(person_type=="2"){
        if(reg.test(contact_name)){return "联系人姓名不能为纯数字";};
        if(!isDefine(company_name)){return "公司名称不能为空";};
        if(!isDefine(contact_name)){return "联系人姓名不能为空";};
        if(!isDefine(company_address)){return "公司地址不能为空";};
        if(!isDefine(company_phone)){return "公司电话不能为空";};
        if(!isDefine(company_attribute)){return "公司性质不能为空";};
        //if(!isDefine(company_type)){return "购买行业类型不能为空";};
    }
    return "";
}

function checkName(name){
    zy_ajax(checkLoginNameNews,{"loginName":name+"(B2B平台)","checkType":"customer"},function(data){
          return data.result;
    });
}

function getSummitObj () {
    obj = zy_getLocal('_personalData');
    var  data = new Object();
    data.customerId = obj.CUSTOMER_ID;
    data.regionId = obj.REGION_ID
    data.customerName = $("#company_name").find("input").val();
    data.TYPE_ID = $("#person_type").attr("key");//用户类型
    data.description = $("#company_attribute").find(".rightDiv").html();
    data.commpanyAddress = $("#company_address").find("input").val();
    data.commpanyMobile = $("#company_phone").find("input").val();
    // data.recommendSupplier = obj.RECOMMEND_SUPPLIER;
    // data.recommendMen = obj.RECOMMEND_MEN;
    data.recommendSupplier = $("#recommend_supplier").find("input").val();
    data.recommendMen = $("#recommend_people").find("input").val();
    data.userId = obj.SYSTEM_USER_ID;
    data.dataId = obj.DATA_ID;
    // if(obj.DESCRIPTION!=data.description){
        // data.isFlow = 'true';
    // }
    return data;
}


function changeDataMethod () {
    zy_script("personalMessage","emtyBtn();");
    var isComplete = $("#recommend").attr("key");
    var Tip=isSubmit();
    if(Tip!=""){
        zy_toast(Tip);
        zy_script("personalMessage","changeFootBtn('"+isComplete+"')");
        return false;
    }
    var data = getSummitObj();
    var obj = zy_getLocal('_personalData');
    data.compareName = obj.FULL_NAME;
    data.curstatus = obj.STATUS;
    data.customerType = obj.CUSTOMER_TYPE;
    data.userName = $("#contact_name").find("input").val();//联系人姓名
    data.typeId = $("#company_type").attr("key");//行业类型 
    data.isFlow = 'true';
    data.token = zy_getLocal('token');
    if( data.customerName != obj.FULL_NAME && data.customerName != ""){
        zy_ajax(checkLoginNameNews,{"loginName":data.customerName+"(B2B平台)","checkType":"customer"},function(msgData){
          if(msgData.result!="1"){
              zy_toast("此客户已经存在");
              zy_script("personalMessage","changeFootBtn('"+isComplete+"')");
              return false;
            }
            else{
                  zy_ajax(updateCustomerInfo,data,function(msg){
                    // if(msg.data=="修改成功！"){
                          // msg.data="";
                      // }
                    zy_openContPopover("remindTip", "../remindTip/remindTip.html?type=TipBox&content="+msg.data+"&functionOk=closePage");
                 });
            }
        });
    }else{
          zy_ajax(updateCustomerInfo,data,function(msg){
            // if(msg.data=="修改成功！"){
                  // msg.data="";
              // }
            zy_openContPopover("remindTip", "../remindTip/remindTip.html?type=TipBox&content="+msg.data+"&functionOk=closePage");
         });
    }
  
}

function addDataMethod(){
     zy_script("personalMessage","emtyBtn();");
     var isComplete = $("#recommend").attr("key");
     var Tip=isSubmit();
     if(Tip!=""){
         zy_toast(Tip);
         zy_script("personalMessage","changeFootBtn('"+isComplete+"')");
         return false;
     }
     var recommend_supplier=$("#recommend_supplier").find("input").val();
     var recommend_people=$("#recommend_people").find("input").val();
     if(!isDefine(recommend_supplier)){
        zy_toast("推荐供应商不能为空");
        zy_script("personalMessage","changeFootBtn('"+isComplete+"')");
        return false;
     };
     if(!isDefine(recommend_people)){
        zy_toast("推荐人不能为空");
        zy_script("personalMessage","changeFootBtn('"+isComplete+"')");
        return false;
     };
     var reg = /^\d+$/;
     if(reg.test(recommend_supplier)||reg.test(recommend_people)){
         zy_toast("推荐供应商/推荐人不能为纯数字");
         zy_script("personalMessage","changeFootBtn('"+isComplete+"')");
         return false;
     };
     var data = getSummitObj();
     data.contactName = $("#contact_name").find("input").val();//提交信息 完善资料
     data.TYPEID = $("#company_type").attr("key");//提交信息 完善资料
     // var falg=checkName(data.company_name);
     // if(falg!="1"){
           // zy_toast("此客户已经存在");
           // return false;
     // }
     zy_ajax(checkLoginNameNews,{"loginName":data.customerName+"(B2B平台)","checkType":"customer","userId":zy_getLocal("userld")},function(msg){
          if(msg.result != "1"){
              zy_toast("此客户名称已经存在");
              zy_script("personalMessage","changeFootBtn('"+isComplete+"')");
              return false;
          }else{
              zy_ajax(updateMoreInfoNews,data,function(msg){
                  if(msg.data=="修改成功！"){
                      msg.data="";
                  }
                  zy_openContPopover("remindTip", "../remindTip/remindTip.html?type=TipBox&content=提交信息成功!"+msg.data+"&functionOk=closePage");
              });
          }
     });
}
